ServiceComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.navigation
Interface ServiceComponent

All Superinterfaces:
  SIElement, SIRetrievable

    public interface ServiceComponent

extends SIElement

This interface represents an abstraction of an elementary stream. It provides information about individual components of a service. Generally speaking, a service component carries content such as media (e.g. as audio or video) or data. Content within a `ServiceComponent` may include `Xlet`s.

See Also:
  `ServiceDetails.retrieveComponents(javax.tv.service.SIRequestor)`, `ProgramEvent.retrieveComponents(javax.tv.service.SIRequestor)`

Method Summary
`String` | `getAssociatedLanguage()` Identifies the language used for the elementary stream.
`String` | `getName()` Returns a name associated with this component.
`Service` | `getService()` Provides the `Service` object to which this `ServiceComponent` belongs.
`StreamType` | `getStreamType()` Provides the stream type of this component.

Methods inherited from interface javax.tv.service.SIElement
`equals, getLocator, getServiceInformationType, hashCode`

Methods inherited from interface javax.tv.service.SIRetrievable
`getUpdateTime`

Method Detail

### getName

    String getName()

  Returns a name associated with this component. The Component Descriptor (DVB) or Component Name Descriptor (ATSC) may be used if present. A generic name (e.g., "video", "first audio", etc.) may be used otherwise.

  Returns:
    A string representing the component name or an empty string if no name can be associated with this component.

### getAssociatedLanguage

    String getAssociatedLanguage()

  Identifies the language used for the elementary stream. The associated language is indicated using a language code. This is typically a three-character language code as specified by ISO 639.2/B, but the code may be system-dependent.

  Returns:
    A string representing a language code defining the language associated with this component. An empty string is returned when there is no language associated with this component.

### getStreamType

    StreamType getStreamType()

  Provides the stream type of this component. (For example, "video", "audio", etc.)

  Returns:
    Stream type of this component.

### getService

    Service getService()

  Provides the `Service` object to which this `ServiceComponent` belongs. The result may be `null` if the Service cannot be determined.

  Returns:
    The `Service` to which this `ServiceComponent` belongs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD